with GNATCOM.Dispinterface;

package MSHTML.IHTMLBookmarkCollection_Interface is

   type IHTMLBookmarkCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLBookmarkCollection_Type);

   function Pointer (This : IHTMLBookmarkCollection_Type)
     return Pointer_To_IHTMLBookmarkCollection;

   procedure Attach (This    : in out IHTMLBookmarkCollection_Type;
                     Pointer : in     Pointer_To_IHTMLBookmarkCollection);

   function Get_length
     (This : IHTMLBookmarkCollection_Type)
     return Interfaces.C.long;

   function Getu_newEnum
     (This : IHTMLBookmarkCollection_Type)
     return GNATCOM.Types.Pointer_To_IUnknown;

   function item
     (This         : IHTMLBookmarkCollection_Type;
      index        : Interfaces.C.long)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLBookmarkCollection_Interface;

